GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

Namespaces | Enumerations | Functions
gdcmTerminal.h File Reference

Go to the source code of this file.

## Namespaces

namespace | gdcm
namespace | gdcm::terminal
| Class for Terminal Allow one to print in color in a shell.

## Enumerations

enum | gdcm::terminal::Attribute { gdcm::terminal::reset = 0, gdcm::terminal::bright = 1, gdcm::terminal::dim = 2, gdcm::terminal::underline = 3, gdcm::terminal::blink = 5, gdcm::terminal::reverse = 7, gdcm::terminal::hidden = 8 }
enum | gdcm::terminal::Color { gdcm::terminal::black = 0, gdcm::terminal::red, gdcm::terminal::green, gdcm::terminal::yellow, gdcm::terminal::blue, gdcm::terminal::magenta, gdcm::terminal::cyan, gdcm::terminal::white }
enum | gdcm::terminal::Mode { gdcm::terminal::CONSOLE = 0, gdcm::terminal::VT100 }

## Functions

GDCM_EXPORT std::string | gdcm::terminal::setattribute (Attribute att)
GDCM_EXPORT std::string | gdcm::terminal::setbgcolor (Color c)
GDCM_EXPORT std::string | gdcm::terminal::setfgcolor (Color c)
GDCM_EXPORT void | gdcm::terminal::setmode (Mode m)